clear all
set more off

**********************************************************************
******     TO REPLICATE 2018 EBA REER Index Coefficients        ******
******                                  			            ******
**********************************************************************
* Estimating REER Index fixed effect Regression

* Insert the path where you copied data excel file between two quotation marks below 
*cd "type path to which you've copied data excel file here"

***these two packages needs to be installed for the program to run"
ssc install ivreg2 
ssc install ranktest 

cd "place location of dataset here"


import excel REER_Index_dataset.xlsx, sheet("regression data") first clear

global exo_list "bis_fordebtr_di_1 mb_ygap_di mb_nfa2y_1 LR_heal2y_di_1 int_KOnew_Ez_di ln_pppgdpprel3_1 dmfd_pcr2y_adj_di voxDM_K_1 voxDM_K_res2_1 mb_res_pct sj_ltot_m open2y_di_1 mb_yg_mt_di mb_pgro_di ebrd_number_m"
global instruments "res_acc_spd_em_KC mb_em_KC m2_dif_res_dif_wo_em_KC_1"

*Second Stage Estimation*
tsset ifs_code year
ivreg2 lins_reer_x $exo_list (mb_dfxres_y_KC_di = $instruments) i.ifs_code, bw(3) robust small
outreg2 $exo_list mb_dfxres_y_KC_di using "REER_index_reg_results.xls", pval dec(2) addstat("RMSE", e(rmse)) ctitle(Benchmark) replace
